.artist-header{
    width: 90%;
    margin-left: 5%;
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 16px;
    background-color: var(--borderclr);
    margin-top: 150px;
    padding-inline: 12px;
    padding-block: 12px;
    border-radius: 16px;
}
.artist-bigimg{
    width: 150px;
    
}
.artist-bigimg img{
    width: 100%;
    display: block;
    border-radius: 12px;
}
.artist-info{
    width: 150px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 0px;
}
.artist-info h1{
    font-size: clamp(var(--bigf));
    color: var(--textclr);
}
.artist-info p{
    font-size: clamp(var(--medium));
    color: var(--textclr);
}



.artist-info h2:nth-child(1) {
	color: transparent;
	-webkit-text-stroke: 1px white;
}

.artist-info h2:nth-child(2) {
	color: black;
	animation: wave 4s ease-in-out infinite;
}

@keyframes wave {
	0%,
	100% {
		clip-path: polygon(
			0% 45%,
			16% 44%,
			33% 50%,
			54% 60%,
			70% 61%,
			84% 59%,
			100% 52%,
			100% 100%,
			0% 100%
		);
	}

	50% {
		clip-path: polygon(
			0% 60%,
			15% 65%,
			34% 66%,
			51% 62%,
			67% 50%,
			84% 45%,
			100% 46%,
			100% 100%,
			0% 100%
		);
	}
}






.artist-albums-container{
    margin-top: 7%;
    margin-bottom: 7%;
    width: 100%;
}
.artist-album{
    display: flex;
    flex-direction: column;
    width: 90%;
    margin-left: 5%;
    margin-top: 5%;
    
    
}
.artist-album-header{
    width: 100%;
    display: flex;
    align-items: center;
    padding: 30px;
    
}
.artist-album-header h2{
    color: var(--textclr);
    font-size: clamp(var(--largef));
}
.artist-album-info{
    display: flex;
    align-items: center;
}
.artist-album-cover{
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 5%;
    padding-bottom: 5%;
    
}
.artist-album-cover a{
    width: 60%;
}
.artist-album-cover img{
    width: 100%;
    display: block;
}
.artist-album-text{
    text-align: justify;
    width: 50%;
    padding: 10%;
}
.artist-album-text p{
    color: var(--textclr);
    font-size:  clamp(var(--mediumf));;
    text-justify: auto;
    
}
.artist-album-text a{
    text-decoration: none;
    color: var(--mainclr);
    font-size: var(--mediumf);
}
.artist-album-text button{
    margin-top: 10%;
    width: 80%;
    background-color: var(--rareclr);
    font-size: var(--mediumf);
    border: 0;
    padding-top: 10%;
    padding-bottom: 10%;
    border-radius: 5px;
    transition: all ease 0.8s;
    cursor: pointer;
}
.artist-album-text button:hover {
    border: 1px solid var(--textclr);
    color: var(--textclr);
    background-color: transparent;
}



.artist-merchs{
    width: 100%;
    background-color: white;
    display: flex;
    flex-direction: column;
    
}
.artist-merchs-header{
    width: 60%;
    padding-left: 10px;
    padding-right: 10px;
    margin-top: 30px;
    margin-bottom: 30px;
    margin-left: 20%;
    background-color: black;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}
.artist-merchs-header h2{
    font-size: clamp(var(--largef));
}
.artist-merchs-carousel::-webkit-scrollbar{
    height: 10px;
}
.artist-merchs-carousel::-webkit-scrollbar-track{
    background-color: white;
}
.artist-merchs-carousel::-webkit-scrollbar-thumb{
    background-color: var(--rareclr);
}
.artist-merchs-carousel{
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: 30%;
    gap: 1%;
    overflow-x: auto;
    overscroll-behavior-inline: contain ;
    background-color: var(--mainclr);
    padding-top: 50px;
    padding-bottom: 50px;
    padding-left: 20px;
    padding-right: 20px;
}
.snaps-inline{
    scroll-snap-type: inline mandatory;
    scroll-padding-inline: 20px ;
}
.snaps-inline > *{
    scroll-snap-align: start;
}
.artist-merch-container{
    width: 22vw;
    height: 35vw;
    background-color: var(--mainclr);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    border: 1px solid black;
   
  }
  .artist-merch-image{
    width: 100%;
    height: 22vw;
    border-radius: 5px;
    
    
  }
  .artist-merch-image img{
    width: 100%;
    display: block;
    border-radius: 5px;
    filter: grayscale(90%);
  }
  .artist-merch-info{
    width: 100%;
    height: 12vw;
  
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    
  }
  .artist-merch-price{
    width: 100%;
    height: 5vw;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: black;
    border-radius: 5px;
    border: 2px solid var(--rareclr);
    transition: all ease 0.8s;
  }
  .artist-merch-price:hover{
    border: 0;
    border-radius: 0;
  }
  .artist-merch-price a, .artist-merch-name a{
    text-decoration: none;
    color: white;
    font-size: clamp(var(--mediumf));
  }
  .artist-merch-name{
    width: 100%;
    height: 5vw;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: black;
    border-radius: 5px;
    border: 2px solid var(--rareclr);
    transition: all ease 0.8s;
    
  }
  .artist-merch-name:hover{
    border: 0;
    border-radius: 0;
  }



  .artist-add-album{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

  }
  .artist-add-album a{
    color: var(--textclr);
    padding-block: 30px;
    padding-inline: 60px;
    background-color: var(--rareclr);
    border-radius: 10px;
    margin-block: 30px;
    border: 1px solid white;
    text-decoration: None;
    font-size: clamp(var(--mediumf));
    transition: all ease 0.6s;
  }
  .artist-add-album a:hover{
    transform: translate(3%,2%);
    background-color: rgb(0, 0, 0);
  }

@media (max-width: 768px){
    .artist-header{
        flex-direction: column;
        align-items: center;
        justify-content: space-evenly;
    }
    .artist-bigimg{
        width: 100%;
        
    }
    .artist-info{
        width: 100%;
        height: 60px;
    }
    .artist-info h2{
        font-size: clamp(15px , 8vw + 5px , 70px);
        left: 50%;
        top: 50%;
        padding-top: 20px;
        padding-left: 20px;
        line-height: 35px;
    }
    .artist-album{
        margin-bottom: 15%;
    }
    .artist-album-header{
        padding-top: 15px;
        padding-bottom: 15px;
        padding-left: 0;
    }
    .artist-album-text {
        padding: 10px;
    }
    .artist-album-text button{
        margin-top: 30%;
    }
    .artist-album-cover a{
        width: 80%;
    }
    .artist-merchs-header{
        width: 80%;
        margin-left: 10%;
        padding-top: 20px;
        padding-bottom: 20px;
    }
    .artist-merchs-carousel{
        grid-auto-columns: 80%;
        gap: 1%;
    }
    .artist-merch-container{
        width: 60vw;
        height: 90vw;
    }
    .artist-merch-image{
        width: 100%;
        height: 60vw;
        border-radius: 5px;
    }
    .artist-merch-info{
        height: 28vw;
    }
    .artist-merch-price{
        height: 13vw;
        border: 1px solid var(--rareclr);
    }
    .artist-merch-name{
        height: 13vw;
        border: 1px solid var(--rareclr);
    }
    .artist-merchs-carousel::-webkit-scrollbar{
        height: 5px;
    }
}